Package net.sf.saxon

## Class Version

- java.lang.Object
- - net.sf.saxon.Version

-     public final class Version
      extends java.lang.Object

  The Version class holds the SAXON version information.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.Class<? extends Configuration>` | `configurationClass` |
    `static Platform` | `platform` |
    `static java.lang.String` | `softwareEdition` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `getMajorReleaseDate()` | Get the issue date of the most recent major release of the product, that is, a release offering new functionality rather than just bug fixes (typically, a release in which the first two digits of the version number change, for example 9.2 to 9.3).
    `static java.lang.String` | `getProductName()` | Return the name of this product.
    `static java.lang.String` | `getProductTitle()` | Get a message used to identify this product when a transformation is run using the -t option
    `static java.lang.String` | `getProductVariantAndVersion​(java.lang.String edition)` | Get the version number of the schema-aware version of the product
    `static java.lang.String` | `getProductVendor()` | Return the name of the product vendor.
    `static java.lang.String` | `getProductVersion()` | Get the user-visible version number of this version of the product
    `static java.lang.String` | `getReleaseDate()` | Get the issue date of this version of the product.
    `static int[]` | `getStructuredVersionNumber()` | Get the components of the structured version number.
    `static java.lang.String` | `getWebSiteAddress()` | Return a web site address containing information about the product.
    `static void` | `main​(java.lang.String[] args)` | Invoking net.sf.saxon.Version from the command line outputs the build number

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### configurationClass

          public static java.lang.Class<? extends Configuration> configurationClass

    - #### softwareEdition

          public static java.lang.String softwareEdition

    - #### platform

          public static Platform platform

  - ### Method Detail

    - #### getProductName

          public static java.lang.String getProductName()

      Return the name of this product. Supports the XSLT 2.0 system property xsl:product-name
      Returns:
        the string "SAXON"

    - #### getProductVendor

          public static java.lang.String getProductVendor()

      Return the name of the product vendor.
      Returns:
        the string "Saxonica"

    - #### getProductVariantAndVersion

          public static java.lang.String getProductVariantAndVersion​(java.lang.String edition)

      Get the version number of the schema-aware version of the product
      Parameters:
        `edition` - the Saxon edition code, e.g. "EE" or "JS"
      Returns:
        the version number of this version of Saxon, as a string

    - #### getProductVersion

          public static java.lang.String getProductVersion()

      Get the user-visible version number of this version of the product
      Returns:
        the version number of this version of Saxon, as a string: for example "10.1"

    - #### getStructuredVersionNumber

          public static int[] getStructuredVersionNumber()

      Get the components of the structured version number. This is used in the .NET product to locate an assembly in the dynamic assembly cache; it is also used by XQJ. The caller can assume that there will always be at least two components. The current implementation in Saxon 10 returns [10, n, b] where n is the minor version number (initially 0, incremented for each maintenance release), and b is the build number, which is typically a six-digit number.
      Returns:
        the three components of the version number, as an array: for example {9, 0, 1, 1}

    - #### getReleaseDate

          public static java.lang.String getReleaseDate()

      Get the issue date of this version of the product. This will be the release date of the latest maintenance release
      Returns:
        the release date, as an ISO 8601 string

    - #### getMajorReleaseDate

          public static java.lang.String getMajorReleaseDate()

      Get the issue date of the most recent major release of the product, that is, a release offering new functionality rather than just bug fixes (typically, a release in which the first two digits of the version number change, for example 9.2 to 9.3).
      Returns:
        the release date, as an ISO 8601 string

    - #### getProductTitle

          public static java.lang.String getProductTitle()

      Get a message used to identify this product when a transformation is run using the -t option
      Returns:
        A string containing both the product name and the product version

    - #### getWebSiteAddress

          public static java.lang.String getWebSiteAddress()

      Return a web site address containing information about the product. Supports the XSLT system property xsl:vendor-url
      Returns:
        the string "http://saxon.sf.net/"

    - #### main

          public static void main​(java.lang.String[] args)

      Invoking net.sf.saxon.Version from the command line outputs the build number
      Parameters:
        `args` - not used